request_scroll(3)

NAME
request_scroll - Queues a hardware scroll request with triple buffering. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int request_scroll(int x, int y);

DESCRIPTION
This function is used for triple buffering. It requests a hardware scroll to the specified position, but returns immediately rather than waiting for a retrace. The scroll will then take place during the next vertical retrace, but you can carry on running other code in the meantime and use the poll_scroll() routine to detect when the flip has actually taken place. Triple buffering is only possible with certain drivers: you can look at the GFX_CAN_TRIPLE_BUFFER bit in the gfx_capabilities flag to see if it will work with the current driver.

RETURN VALUE
This function returns zero on success, non-zero otherwise.

SEE ALSO
poll_scroll(3), request_video_bitmap(3), gfx_capabilities(3), scroll_screen(3)